### Function

# Gcr Importer queue_and_filter_for_parsed

#### Declaration [src]

    GList*
    gcr_importer_queue_and_filter_for_parsed (
      GList* importers,
      GcrParsed* parsed
    )

#### Description [src]

Queues an additional item to be imported in all compattible importers in the set. The parsed item is represented by the state of the `GcrParser` at the time of calling this method.

If the parsed item is incompatible with an importer, then that the item will not be queued on that importer.

#### Parameters

`importers`

  Type: A list of `GcrImporter*`

  A set of importers.

  The data is owned by the caller of the function.

`parsed`

  Type: `GcrParsed`

  A parsed item.

  The data is owned by the caller of the function.

#### Return value

Type: A list of `GcrImporter*`

A new set of importers that queued the item.

The caller of the function takes ownership of the data, and is responsible for freeing it.